import { useState } from 'react';

function App() {
  console.log('Wykonanie funkcji tworzącej komponent (i sprawdzenie wirtualnej wersji modelu DOM)');
  const [counter, setCounter] = useState(0);
  const [showCounter, setShowCounter] = useState(false);

  function incCounterHandler() {
    setCounter((prevCounter) => prevCounter + 1);
    if (!showCounter) {
      setShowCounter(true);
    }
  }

  return (
    <>
      <p>Kliknij, aby zwiększyć licznik i wyświetlić go lub ukryć</p>
      <button onClick={incCounterHandler}>Zwiększ</button>
      {showCounter && <p>Licznik: {counter}</p>}
    </>
  );
}

export default App;
